package com.ynfy.buss.course.usercoursecatalog.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ynfy.buss.course.usercoursecatalog.entity.UserCourseCatalog;
import com.ynfy.buss.course.usercoursecatalog.entity.vo.CatalogTimeVO;

/**
 * @Description: 用户课程任务学习情况
 * @Author: jeecg-boot
 * @Date: 2023-10-25
 * @Version: V1.0
 */
public interface IUserCourseCatalogService extends IService<UserCourseCatalog> {

    /**
     * 计算任务学习时长
     *
     * @return
     */
    void calcStudyTime(CatalogTimeVO catalogTimeVO);
}
